import {NgModule} from '@angular/core';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';
import {LecturerRootComponent} from 'src/app/LecturerComponents/lecturer-root.component';
import {LecturerRoutesModule} from 'src/app/LecturerComponents/lecturer-routes.module';
import {LecturerDashboardComponent} from 'src/app/LecturerComponents/LecturerDashboardComponents/lecturer-dashboard.component';
import {LecturerInfoService} from 'src/app/services/lecturer-info.service';
import {LecturerPaperViewComponent} from 'src/app/LecturerComponents/LecturerPaperView/lecturer-paper-view.component';
import {LecturerDataService} from 'src/app/services/lecturer-data.service';
import {LecturerSubmissionsViewComponent} from 'src/app/LecturerComponents/LecturerSubmissionsView/lecturer-submissions-view.component';
import {LecturerResponseViewComponent} from 'src/app/LecturerComponents/LecturerResponseView/lecturer-response-view.component';
import {LecturerCreateOmpViewComponent} from 'src/app/LecturerComponents/LecturerCreateOMPView/lecturer-create-omp-view.component';
import {LecturerViewService} from 'src/app/services/lecturer-view.service';
import {LecturerTemplateViewComponent} from 'src/app/LecturerComponents/LecturerTemplateView/lecturer-template-view.component';
import {LecturerEditTemplateViewComponent} from 'src/app/LecturerComponents/LecturerEditTemplateView/lecturer-edit-template-view.component';
import {AgGridModule} from 'ag-grid-angular';
import {ViewClassesButtonComponent} from 'src/app/GridComponents/ViewClassesButton/view-classes-button.component';
import {ViewSubmissionsButtonComponent} from 'src/app/GridComponents/ViewSubmissionsButton/view-submissions-button.component';
import {DeletePaperButtonComponent} from 'src/app/GridComponents/DeletePaperButton/delete-paper-button.component';
import {ViewResponsesButtonComponent} from 'src/app/GridComponents/ViewResponsesButton/view-responses-button.component';
import {EditTemplateButtonComponent} from 'src/app/GridComponents/EditTemplateButton/edit-template-button.component';
import {DeleteTemplateButtonComponent} from 'src/app/GridComponents/DeleteTemplateButton/delete-template-button.component';
import {ChartModule} from 'angular-highcharts';
import {ResponseChartComponent} from 'src/app/LecturerComponents/LecturerChartComponents/ResponseChart/response-chart.component';
import {LecturerNavbarComponent} from 'src/app/LecturerComponents/LecturerNavBar/lecturer-navbar.component';
import {ViewPaperButtonComponent} from 'src/app/GridComponents/ViewPaperButton/view-paper-button.component';
import {LecturerViewPaperComponent} from 'src/app/LecturerComponents/ViewPaperComponents/lecturer-view-paper.component';
import {StudentResponseChartComponent} from 'src/app/LecturerComponents/LecturerChartComponents/StudentResponseChart/student-response-chart.component';
import {LecturerResponseGraphService} from 'src/app/services/lecturer-response-graph.service';
import {GenerateAnalysisButtonComponent} from 'src/app/GridComponents/GenerateAnalysisButton/generate-analysis-button.component';
import {LecturerAnalysisViewComponent} from 'src/app/LecturerComponents/LecturerAnalysisView/lecturer-analysis-view.component';
import {SentimentCloudComponent} from 'src/app/WordcloudComponents/SentimentCloud/sentiment-cloud.component';
import {TagCloudModule} from 'angular-tag-cloud-module';

@NgModule({
  declarations: [
    LecturerRootComponent,
    LecturerDashboardComponent,
    LecturerPaperViewComponent,
    LecturerSubmissionsViewComponent,
    LecturerResponseViewComponent,
    LecturerCreateOmpViewComponent,
    LecturerTemplateViewComponent,
    LecturerEditTemplateViewComponent,
    LecturerViewPaperComponent,
    LecturerAnalysisViewComponent,
    ViewClassesButtonComponent,
    ViewSubmissionsButtonComponent,
    DeletePaperButtonComponent,
    ViewResponsesButtonComponent,
    EditTemplateButtonComponent,
    DeleteTemplateButtonComponent,
    ViewPaperButtonComponent,
    GenerateAnalysisButtonComponent,
    ResponseChartComponent,
    StudentResponseChartComponent,
    LecturerNavbarComponent,
    SentimentCloudComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    AgGridModule.withComponents([
      ViewClassesButtonComponent,
      ViewSubmissionsButtonComponent,
      DeletePaperButtonComponent,
      ViewResponsesButtonComponent,
      EditTemplateButtonComponent,
      DeleteTemplateButtonComponent,
      ViewPaperButtonComponent,
      GenerateAnalysisButtonComponent
    ]),
    TagCloudModule,
    ChartModule,
    LecturerRoutesModule
  ],
  providers: [
    LecturerInfoService,
    LecturerDataService,
    LecturerViewService,
    LecturerResponseGraphService
  ]
})
export class LecturerRootModule { }
