import {Component, OnDestroy, OnInit} from '@angular/core';
import {StudentViewService} from 'src/app/services/student-view.service';
import {takeWhile} from 'rxjs/operators';

@Component({
  selector: 'app-student-root',
  templateUrl: './student-root.component.html',
  styleUrls: ['./student-root.component.css']
})
export class StudentRootComponent implements OnInit, OnDestroy {

  public onDashboard: Boolean;
  public isAlive = true;

  constructor(private studentViewService: StudentViewService) {
  }

  ngOnInit(): void {
    this.studentViewService.onDashboard$.subscribe(flag => {
      this.onDashboard = flag;
    }).add(takeWhile(() => this.isAlive));

    this.onDashboard = true;
    this.studentViewService.changeToDashboard(this.onDashboard);
  }

  ngOnDestroy(): void {
    this.isAlive = false;
  }



}
